/* COLORS */
/* TYPOGRAPHY */
/* ---- MEDIA QUERIES ----- */
.left-right-block .container {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 2.4rem;
  --animation-duration: 30s;
}
.left-right-block .container.left .content {
  order: 2;
  padding-left: 2.4rem;
}
.left-right-block .container.left .image {
  order: 1;
}
.left-right-block .container.left .image .image-mask {
  animation: float-right var(--animation-duration) ease-in-out infinite;
  -webkit-mask-image: url("../../../assets/svg/image_cut_pils.svg");
  mask-image: url("../../../assets/svg/image_cut_pils.svg");
}
.left-right-block .container.right .content {
  order: 1;
  padding-right: 2.4rem;
}
.left-right-block .container.right .image {
  order: 2;
}
.left-right-block .container.right .image .image-mask {
  animation: float-left var(--animation-duration) ease-in-out infinite;
  -webkit-mask-image: url("../../../assets/svg/image_cut_pils_left.svg");
  mask-image: url("../../../assets/svg/image_cut_pils_left.svg");
}
.left-right-block .content {
  display: flex;
  flex-direction: column;
  gap: 1.6rem;
}
.left-right-block .content .button-group {
  display: flex;
  gap: 2.4rem;
  margin: 1.6rem 0 0;
}
.left-right-block .content .icon-list {
  list-style: none;
  padding: 0;
  margin: 1.6rem 0 0;
  display: flex;
  flex-direction: column;
  gap: 2.4rem;
}
.left-right-block .content .icon-list li {
  display: flex;
  align-items: center;
  gap: 1.6rem;
}
.left-right-block .content .icon-list li img {
  width: 3.2rem;
  height: 3.2rem;
  object-fit: contain;
}
.left-right-block .image {
  padding-right: 2.4rem;
}
.left-right-block .image .image-mask {
  position: relative;
  -webkit-mask-mode: alpha;
  mask-mode: alpha;
  -webkit-mask-repeat: no-repeat;
  mask-repeat: no-repeat;
  -webkit-mask-position: center;
  mask-position: center;
  -webkit-mask-size: cover;
  mask-size: cover;
  background-color: black;
  overflow: hidden;
}
.left-right-block .image .image-mask img {
  object-fit: cover;
  width: 100%;
  height: 100%;
  aspect-ratio: 505/371;
}

@keyframes float-right {
  0%, 100% {
    transform: translate(0, 0);
  }
  50% {
    transform: translate(2.4rem, var(--left-right-height));
  }
}
@keyframes float-left {
  0%, 100% {
    transform: translate(0, 0);
  }
  50% {
    transform: translate(-2.4rem, var(--left-right-height));
  }
}
@media (max-width: 768px) {
  .left-right-block .container {
    grid-template-columns: 1fr;
    gap: 4rem;
  }
  .left-right-block .container.left .content {
    padding-left: 0;
  }
  .left-right-block .container.right .content {
    order: 2;
    padding-right: 0;
  }
  .left-right-block .container.right .image {
    order: 1;
  }
  .left-right-block .content {
    display: flex;
    flex-direction: column;
    gap: 1.6rem;
  }
  .left-right-block .content .button-group {
    display: flex;
    gap: 2.4rem;
    margin: 1.6rem 0 0;
  }
  .left-right-block .image .image-mask {
    animation: none !important;
  }
}